跳到主要内容

查看恢复快照任务列表 (V2)

申请开通

列出恢复快照任务,可按数据库或 Collection 筛选。

POST/v2/vectordb/jobs/snapshot/list
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zilliz.com.cn:19530"
参数
Authorizationstringheader

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
请求体
dbNamestring

用于筛选的数据库名称。

collectionNamestring

用于筛选的 Collection 名称。

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "my_collection"
}'
响应

列出恢复快照任务,可按数据库或 Collection 筛选。

codeinteger必填项

响应码。

dataobject必填项
recordsarray必填项

符合请求筛选条件的恢复快照任务列表。

[]recordsobject必填项

恢复快照任务的详细信息。

jobIdinteger<int64>必填项

恢复任务的唯一标识符。

snapshotNamestring必填项

正在恢复的快照名称。

dbNamestring必填项

目标数据库名称。

collectionNamestring必填项

目标 Collection 名称。

statestring必填项

恢复任务的当前状态。

progressinteger必填项

恢复任务的进度百分比。

reasonstring

恢复任务失败时的原因。

startTimestring

恢复任务开始的时间戳。

timeCostinteger<int64>

恢复任务耗时(毫秒)。

codeinteger必填项

响应码。

messagestring必填项

错误描述。

Successjson
{
"code": 0,
"data": {
"records": [
{
"jobId": 451799928999570200,
"snapshotName": "snapshot_2026_01",
"dbName": "default",
"collectionName": "my_collection",
"state": "RestoreSnapshotCompleted",
"progress": 100,
"reason": "",
"startTime": "2026-01-01T00:00:00Z",
"timeCost": 1200
}
]
}
}